# IpAddressSerializer2

[![Build Status](https://travis-ci.org/G7M3/ip_address_serializer2.svg?branch=master)](https://travis-ci.org/G7M3/ip_address_serializer2)

[![Coverage Status](https://coveralls.io/repos/github/G7M3/ip_address_serializer2/badge.svg?branch=master)](https://coveralls.io/github/G7M3/ip_address_serializer2?branch=master)

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'ip_address_serializer2'
```

And then execute:

```shell
    $ bundle install
```

Or install it yourself as:

```shell
    $ gem install ip_address_serializer2
```

## Usage

Once the Gem has been added to your Gemfile, in any model that is required to hold an IP Address, add the
following line to your model

```ruby
serialize <field name symbol>, IPAddressSerializer
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run
`rake test` to run the tests. You can also run `bin/console` for an interactive prompt
that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`.
To release a new version, update the version number in `version.rb`, and then run
`bundle exec rake release`, which will create a git tag for the version, push git
commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/g7m3/ip\_address\_serializer2.
This project is intended to be a safe, welcoming space for collaboration, and contributors are expected
to adhere to the [code of conduct](https://github.com/g7m3/ip_address_serializer2/blob/master/CODE_OF_CONDUCT.md).


## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the IpAddressSerializer2 project's codebases, issue trackers, chat rooms and
mailing lists is expected to follow the [code of conduct](https://github.com/g7m3/ip_address_serializer2/blob/master/CODE_OF_CONDUCT.md).
